Bug 63651 - gdm Greeter version mismatch.
gdm Greeter version mismatch.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gdm (Show other bugs)
7.2
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-16 18:12 EDT by Micah Powell
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-19 20:37:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Micah Powell 2002-04-16 18:12:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Q312461; .NET 
CLR 1.0.3705)

Description of problem:
When I try to run gdmlogin I get the error: "The greeter version (2.2.3.1) 
does not match the daemon version. You have probably just upgraded gdm. Please 
restart the gdm daemon or reboot the computer"


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Installed Gnome and gdm (...etc) using up2date and am displaying on Windows 
XP using ReflectionX 
2. set display to remote display (ie WinXP)
3. Run gdm daemon from console
4. Run gdmlogin from console
	

Actual Results:  X starts and displays message:

"The greeter version (2.2.3.1) does not match the daemon version. You have 
probably just upgraded gdm. Please restart the gdm daemon or reboot the 
computer"


Expected Results:  The Gnome login box should have been displayed

Additional info:

I can run applications (ie gimp or gkrellm) and display them on the WinXP box.

I used up2date to install Gnome so maybe there is a problem with the packages.
Comment 1 Havoc Pennington 2002-04-28 12:44:24 EDT
Does this happen when displaying gdm on another Red Hat box?

I don't have ReflectionX to test, and it certainly isn't supported anyway, 
so to fix this I'd need it tracked down to some problem that exists 
in a Red Hat to Red Hat situation.
Comment 2 Micah Powell 2002-04-28 21:20:42 EDT
I don't have another RedHat workstation to test.  But it happens when I try to 
run GDM locally on the redhat box.

What does the error message mean?  I have been unable to find any reference to 
it on any support page.

Micah
Comment 3 Havoc Pennington 2002-04-28 21:58:01 EDT
I've never seen anyone report this message, so I'm not surprised it's not on a
support page.

I believe the message means that your gdm daemon and gdm greeter are from 
different versions of gdm. Maybe you have a custom-compiled gdm
in your path somewhere?
Comment 4 Havoc Pennington 2002-12-19 20:37:41 EST
I haven't seen other reports of this, seems to work in latest release.

Note You need to log in before you can comment on or make changes to this bug.